//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Graphics\CDebugGrid.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CDEBUGGRID_H
#define CDEBUGGRID_H

#include "CDebugBase.h"

namespace GFX
{
	// CDebugGrid class.
	// Class for creating and rendering a line-list grid.
	class CDebugGrid : public CDebugBase
	{
	public:
		CDebugGrid();
		CDebugGrid(const CDebugGrid& other);
		virtual ~CDebugGrid();

		void								GridExtents(int width, int length, bool _2dMode = false);
		
		int									Initialize() override;

	private:
		bool								m_b2DMode;
		int									m_width;
		int									m_length;
	};
};

#endif