//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Math\CMathRay.cpp
//
//-------------------------------------------------------------------------------------------------

#include "CMathRay.h"

namespace Math
{
	CRay::CRay()
	{
	}

	CRay::CRay(CVector3 origin, CVector3 direction, float distance)
	{
		m_origin = origin;
		m_direction = direction;
		m_distance = distance;
	}

	CRay::CRay(const CRay& other)
	{
		m_origin = other.m_origin;
		m_direction = other.m_direction;
		m_distance = other.m_distance;
	}

	CRay::CRay(CRay&& other)
	{
		m_origin = other.m_origin; other.m_origin = 0.0f;
		m_direction = other.m_direction; other.m_direction = 0.0f;
		m_distance = other.m_distance; other.m_distance = 0.0f;
	}

	CRay::~CRay()
	{
	}
};