//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: UI\CUILabel.cpp
//
//-------------------------------------------------------------------------------------------------

#include "CUILabel.h"

namespace UI
{
	CLabel::CLabel()
	{
	}

	CLabel::CLabel(const CLabel& other)
	{
	}

	CLabel::~CLabel()
	{
	}

	// Method for print a text label.
	int CLabel::PrintLabel(const std::string& text, const Math::CVector3& position, float size, const Math::CColor& color, const UI_HALIGN& hAlign, const UI_VALIGN& vAlign)
	{
		int retCode = Util::Err::NONE;

		if(m_pFont)
		{
			if((retCode = m_pFont->Print(text, position, size, color, m_fade, hAlign, vAlign)) != Util::Err::NONE)
				return retCode;
		}

		return retCode;
	}
};