//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: UI\CUIObject.h
//
//-------------------------------------------------------------------------------------------------

#include "CUIObject.h"

namespace UI
{
	CUIObject::CUIObject()
	{
		m_fontCount							= 0;
		m_imageCount						= 0;

		m_bHovered							= false;
		m_bClicked							= false;

		m_fade								= 1.0f;

		m_pFont								= NULL;
		m_pFonts							= NULL;
		m_pImage							= NULL;
		m_pImages							= NULL;

		m_pInput							= NULL;
		m_pTimer							= NULL;
	}

	CUIObject::CUIObject(const CUIObject& other)
	{
	}

	CUIObject::~CUIObject()
	{
	}

	// Method for initializing a UI object.
	int CUIObject::Initialize()
	{
		int retCode = Util::Err::NONE;
		
		if(m_fontCount > 0) m_pFonts		= new CFontRenderer*[m_fontCount];
		if(m_imageCount > 0) m_pImages		= new CImage*[m_imageCount];

		return retCode;
	}

	int CUIObject::Update()
	{
		int retCode = Util::Err::NONE;

		return retCode;
	}

	int CUIObject::Render()
	{
		int retCode = Util::Err::NONE;

		return retCode;
	}

	void CUIObject::Release()
	{
		SAFE_DELETE_ARRAY(m_pFonts);
		SAFE_DELETE_ARRAY(m_pImages);
	}
	
	void CUIObject::CheckInteraction()
	{
	}
};