//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Utilities\CFileUtil.cpp
//
//-------------------------------------------------------------------------------------------------

#include "CFileUtil.h"

namespace Util
{
	//
	// Workaround for getting this static libraries root directory so that it can be used in helping to include shaders in shaders.
	//
	
	GetThisFilePath test;

	std::string AbsolutePath()
	{
		char path[256];
		std::string filename = test.file;
		GetFullPathName(filename.c_str(), 256, path, NULL);

		int i = 0;
		int lastSlash2 = 0, lastSlash = 0;
		std::string absPath;
		while(path[i])
		{
			if(path[i] == '\\')
				{ lastSlash2 = lastSlash; lastSlash = i; }
			absPath += path[i++];
		}

		return absPath.substr(0, lastSlash2) + '\\';
	}

	std::string ShaderPath()
	{
		return AbsolutePath() + "Resources\\Shaders\\";
	}
};