//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Graphics\CDebugSquare.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CDEBUGSQUARE_H
#define CDEBUGSQUARE_H

#include "CDebugBase.h"

namespace GFX
{
	// CDebugGrid class.
	// Class for creating and rendering a line-list square.
	class CDebugSquare : public CDebugBase
	{
	public:
		CDebugSquare();
		CDebugSquare(const CDebugSquare& other);
		virtual ~CDebugSquare();

		void								SquareExtents(float width, float height, bool _2dMode = true);

		int									Initialize() override;

	private:
		bool								m_b2DMode;

		float								m_width;
		float								m_height;
	};
};

#endif