//-------------------------------------------------------------------------------------------------
//
// Copyright (c) 2015-2016 Ryan Alasandro
//
// Portfolio Project: Portfolio Engine
//
// File: Utilities\CMemoryFree.h
//
//-------------------------------------------------------------------------------------------------

#ifndef CMEMORYFREE_H
#define CMEMORYFREE_H

#include "..\Globals\CGlobals.h"

// Memory free macros.
#define SAFE_RELEASE(x) if(x) { (x)->Release(); x = NULL; }
#define SAFE_RELEASE_DELETE(x) if(x) { (x)->Release(); delete x; x = NULL; }
#define SAFE_DELETE(x) { delete (x); x = NULL; }
#define SAFE_DELETE_ARRAY(x) { delete[] (x); x = NULL; }

#endif